added static curl compilation - disabled it is not static
Costa Tsaousis (ktsaou) committed
Apr 2, 2017 at 15:43 UTC
6ba9e3b7aca8b513deed738ddea90207100f3ce0
3 files changed
+34
.gitignore
+2
@@ -30,6 +30,8 @@ netdata.spec
30
31
*.tar.*
32
33
+cmake-build-debug/
34
+makeself/tmp/
35
sitespeed-result/
36
cov-int/
37
netdata-coverity-analysis.tgz
makeself/jobs/50-curl-7.53.1.install.sh
new
+29
@@ -0,0 +1,29 @@
1
+#!/usr/bin/env bash
2
+
3
+exit 0
4
+
5
+. $(dirname "${0}")/../functions.sh "${@}" || exit 1
6
+
7
+fetch "curl-curl-7_53_1" "https://github.com/curl/curl/archive/curl-7_53_1.tar.gz"
8
+
9
+# export CFLAGS="-static"
10
+export LDFLAGS="-static"
11
+export PKG_CONFIG="pkg-config --static"
12
+export curl_LDFLAGS="-all-static"
13
+
14
+run ./buildconf
15
+
16
+run ./configure \
17
+ --prefix=${NETDATA_INSTALL_PATH} \
18
+ --enable-optimize \
19
+ --disable-shared \
20
+ --enable-static \
21
+ --enable-http \
22
+ --enable-proxy \
23
+ --enable-ipv6 \
24
+ --enable-cookies \
25
+ ${NULL}
26
+
27
+run make clean
28
+run make -j${PROCESSORS}
29
+run make install
makeself/setup-x86_64-static.sh
+3
@@ -15,8 +15,11 @@ apk add --no-cache \
15
automake \
16
gcc \
17
make \
18
+ libtool \
19
pkgconfig \
20
util-linux-dev \
21
+ openssl-dev \
22
+ gnutls-dev \
23
zlib-dev \
24
libmnl-dev \
25
libnetfilter_acct-dev \